## org.apache.xerces.xni.parser
Interface XMLDTDFilter

All Superinterfaces:
  XMLDTDHandler, XMLDTDSource

    public interface XMLDTDFilter

extends XMLDTDHandler, XMLDTDSource

Defines a DTD filter that acts as both a receiver and an emitter of DTD events.

Version:
  $Id: XMLDTDFilter.java 319806 2004-02-24 23:15:58Z mrglavas $
Author:
  Andy Clark, IBM

Field Summary

Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Method Summary

Methods inherited from interface org.apache.xerces.xni.XMLDTDHandler
`attributeDecl, comment, elementDecl, endAttlist, endConditional, endDTD, endExternalSubset, endParameterEntity, externalEntityDecl, getDTDSource, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setDTDSource, startAttlist, startConditional, startDTD, startExternalSubset, startParameterEntity, textDecl, unparsedEntityDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDTDSource
`getDTDHandler, setDTDHandler`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.